comedi_get_buffer_read_offset
Prev | 5.4.2. Asynchronous commands | Next

## Name

comedi_get_buffer_read_offset — streaming buffer read offset

## Synopsis

    #include <comedilib.h>

`int comedi_get_buffer_read_offset(` | comedi_t * device,
| unsigned int subdevice`)`;

## Description

The function `comedi_get_buffer_read_offset` is used on a subdevice that has a Comedi command in progress to get the current read position in the streaming buffer as an offset in bytes from the start of the buffer. The position will wrap around to 0 when it reaches the buffer size. This offset is only useful for memory mapped buffers.

This function replaces `comedi_get_buffer_offset` and has the same functionality.

## Return value

On success, `comedi_get_buffer_read_offset` returns the current read position as an offset in bytes from the start of the buffer. On failure, `-1` is returned.

Prev | Up | Next
comedi_get_buffer_contents | Home | comedi_get_buffer_write_offset